API Reference
Create an OAuth Client
POST
/oauth_clientsResponse fields:
| Name | Type | Description |
|---|---|---|
| access_key | String | The identification component of the OAuth Client. This value is not considered sensitive, but it is recommended this is not disclosed publicly. |
| access_secret | String | The secret component of the OAuth Client, used to authentication the actions using this set of credentials. At a minimum this should be stored securely. |
Body Parameters
namestring(optional)The name for the OAuth Client, used to differentiate between different clients/keys
Request
curl
curl https://gateway.pmnts-sandbox.io/v1.0/oauth_clients -d '{"name": "test-client"} -U TEST:TESTResponse
200Result
json
{
"access_key" : "Bwq5112385pDtg==",
"access_secret" : "yekVasd23hqW_Fnodvt5-GZeCdXA="
}422Result
json
{
"errors" : [
"already exists"
]
}